Macaulay2 » Documentation
Packages » Macaulay2Doc » analytic functions » exp(RingElement)
next | previous | forward | backward | up | index | toc

# exp(RingElement)

- Function: exp
- Usage:
    `exp x`
- Inputs:
  - x, a ring element
- Outputs:
  - the exponential of x, provided x is nilpotent, and the denominators required have reciprocals in the ring of x.

## Description

    i1 : R = ZZ/11[x]/x^9

    o1 = R

    o1 : QuotientRing

    i2 : exp x

             8     7     6    5     4     3     2
    o2 = - 2x  - 5x  - 2x  - x  - 5x  + 2x  - 5x  + x + 1

    o2 : R

## Ways to use this method:

- exp(RingElement)

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/operators.m2:69:0.